# class Gem::ImpossibleDependenciesError

Raised by `Gem::Resolver` when dependencies conflict and create the inability to find a valid possible spec for a request.

### Attributes

conflicts [R]
request [R]

### Public Class Methods

new (request, conflicts)
Source

    # File lib/rubygems/exceptions.rb, line 147
    def initialize(request, conflicts)
      @request   = request
      @conflicts = conflicts

      super build_message
    end

Calls superclass method `Exception::new`

### Public Instance Methods

dependency ()
Source

    # File lib/rubygems/exceptions.rb, line 168
    def dependency
      @request.dependency
    end